Bug 29576

Summary: 1280x1024 does only work with Option "PanelMode"
Product: xorg Reporter: billiboy
Component: Driver/geodeAssignee: Xorg Project Team <xorg-team>
Status: RESOLVED FIXED QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: medium    
Version: unspecified   
Hardware: Other   
OS: All   
Whiteboard:
i915 platform: i915 features:

Description billiboy 2010-08-14 05:32:54 UTC
Since root/src/lx_panel.c still contains the possible typo, as described
in bug #19301, 1280x1024 mode works only with this:
--
Option "PanelMode" "108000 1280 1328 1440 1688 1024 1025 1028 1066"
--
in xorg.conf.

From root/src/lx_panel.c:

   {MODEPREFIX, 108000, 1028, 1328, 1440, 1688, 0, 1024, 1025, 1028, 1066, 0,
       V_NHSYNC | V_NVSYNC, MODESUFFIX}
   ,                                  /* 1280x1024@60 */
The second parameter after MODEPREFIX (1028) should be 1280.
Comment 1 Martin-√Čric Racine 2010-08-23 09:27:30 UTC
Does this bug still apply to Geode 2.11.9 or not?
Comment 2 billiboy 2010-08-24 05:02:40 UTC
As follow up of this:
http://lists.x.org/archives/xorg-driver-geode/2010-August/000992.html
announcement I rechecked the code and filed my findigs in this bugreport.
Since no other responses in the last 9 days there is most likely no
change.
Maybe it is nothing major and is getting ignored.

So Long, and Thanks for All the Fish
Comment 3 frank huang 2010-09-28 19:19:10 UTC
Thanks, billboy.
This typo has been fixed by one patch I commit. I think we can close this issue.


Frank

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.